extends Control
#references
## reference to the speedometer label
@export var speed: Label
## reference to the distance meter label
@export var distance: Label

func _on_player_speed_changed(speed_float:float):
	var speed_string = "%.f" % (speed_float / 10)
#	print_debug("changing speed display to ", speed_string)
	speed.set_text(speed_string)

func _on_level_distance_changed(distance_float):
	var distance_string ="%.f" % distance_float
	distance.set_text(distance_string)
